package com.zfire.jiasm.syncdata.download.order;

import com.zfire.jiasm.syncdata.common.OldForNewUploadLogic;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 以旧换新-单独上传鉴定+附件数据
 */
@Slf4j
@Component
public class OldForNewDownload {
	@Autowired
	OldForNewUploadLogic oldForNewUploadLogic;

	/**
	 * 以旧换新 - 获取所有驳回的鉴定单
	 */
	@Scheduled(fixedDelay = 20 * 60 * 1000)
	public void queryRejectJdd() {
		// 下载驳回的鉴定单
		oldForNewUploadLogic.queryRejectJdd();
	}

	/**
	 * 以旧换新 - 修改鉴定单状态为驳回状态
	 */
	@Scheduled(fixedDelay = 20 * 60 * 1000)
	public void processBusiness() {
		// 修改鉴定单状态 及 同步驳回鉴定单的处理状态
		oldForNewUploadLogic.processBusiness();
	}

}
